Package: groovy.util

## [Java] Class ScriptException

- groovy.util.ScriptException

-     public class ScriptException
      extends Exception

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ScriptException()`
    `ScriptException(String message)` Parameters: message
    `ScriptException(String message, Throwable cause)` Parameters: message
    `ScriptException(Throwable cause)` Parameters: cause

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Exception` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ScriptException()

    - #### public ScriptException(String message)

      Parameters:
        message

    - #### public ScriptException(String message, Throwable cause)

      Parameters:
        message
        cause

    - #### public ScriptException(Throwable cause)

      Parameters:
        cause